/*====================================================
p-teachers-sec1
====================================================*/
.p-teachers-sec1 {
	padding-bottom: 3.4rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1 {
		padding-bottom: 2.1rem;
	}
}
.p-teachers-sec1__list {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	column-gap: clamp(2rem, 54 / 1440 * 100vw, 5.4rem);
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__list {
		display: block;
	}
	.p-teachers-sec1__list > * + * {
		margin-top: 1.68rem;
	}
}

.p-teachers-sec1__item {
	display: grid;
	grid-template-rows: subgrid;
	grid-row: span 2;
	row-gap: 5rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__item {
		display: block;
	}
}

.p-teachers-sec1__item:nth-of-type(odd) {
	padding-top: 3.7rem;
	padding-top: 0;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__item:nth-of-type(odd) {
		padding-top: 0;
	}
}

.p-teachers-sec1__card {
	--paddingTop: 4rem;
	--paddingRight: 4rem;
	position: relative;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__card {
		--paddingTop: 1.5rem;
		--paddingRight: 1.5rem;
		--paddingLet: 1.3rem;
		margin-right: 1.5rem;
	}
}

.p-teachers-sec1__item--top {
	border-radius: 0 40px 0 0;
	border-top: 1px solid #428c67;
	border-right: 1px solid #428c67;
	padding-top: var(--paddingTop);
	padding-right: var(--paddingRight);
	padding-left: var(--paddingLet);
	padding-bottom: 2rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__item--top {
		border-radius: 0 20px 0 0;
	}
}

.p-teachers-sec1__item--btm {
	/* border-right: 1px solid #428c67; */
	padding-right: var(--paddingRight);
	padding-left: var(--paddingLet);
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__item--btm {
		border-right: none;
	}
}

.p-teachers-sec1__img {
	position: relative;
	overflow: hidden;
	border-radius: 36px 36px 0 0;
	margin-bottom: 2.8rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__img {
		border-radius: 12px 12px 0 0;
	}
}

.p-teachers-sec1__img--picture img {
	height: 100%;
	object-fit: cover;
}

.p-teachers-sec1__name {
	z-index: 3;
	--width: min(23.5rem, 44%);
	--height: 8.9rem;
	position: absolute;
	bottom: 0;
	left: 0;
	display: flex;
	flex-direction: column;
	justify-content: end;
	background-color: #fff;
	border-radius: 0 12px 0 0;
	border-top: 1px solid var(--color-main);
	border-right: 1px solid var(--color-main);
	width: var(--width);
	height: var(--height);
	padding-top: 0.9rem;
	padding-bottom: 2rem;
	padding-left: 1.5rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__name {
		--width: min(16.3rem, 53%);
		--height: 6.2rem;
		padding-bottom: 1rem;
		padding-left: 0.8rem;
	}
}

.p-teachers-sec1__name--year {
	font-size: 1.6rem;
	font-weight: 500;
	margin-bottom: 1rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__name--year {
		font-size: calc(12 * var(--width-ratio));
		margin-bottom: 0.6rem;
	}
}

.p-teachers-sec1__name--txt {
	color: var(--color-main);
	font-weight: 500;
	font-size: 2.4rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__name--txt {
		font-size: calc(16 * var(--width-ratio));
	}
}

.p-teachers-sec1__comment {
	--width: 106px;
	--height: 32px;
	--iconSize: 10px;
	z-index: 3;
	font-family: var(--font-ZenKakuGothicNew);
	position: absolute;
	right: 0.8rem;
	bottom: 1rem;
	display: grid;
	grid-template-columns: auto var(--iconSize);
	place-content: center;
	align-items: center;
	column-gap: 2rem;
	width: var(--width);
	height: var(--height);
	border-radius: 9999px;
	border: 1px solid var(--color-main);
	background-color: #fff;
	color: var(--color-main);
	font-weight: 500;
	line-height: 1;
	font-size: 1.4rem;
	padding-top: 2px;
	transition: all 0.3s ease;
	transition-property: opacity;
}
.p-teachers-sec1__comment::after {
	content: "";
	aspect-ratio: 1;
	mask-position: center center;
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-image: url(../images/common/icon_plus.svg);
	background-color: var(--color-main);
	rotate: 90deg;
	transition: all 0.3s ease;
	transition-property: rotate;
}
.p-teachers-sec1__item:focus-visible .p-teachers-sec1__comment::after {
	rotate: 180deg;
	mask-image: url(../images/common/icon_minus.svg);
}
@media (any-hover: hover) {
	.p-teachers-sec1__item:hover .p-teachers-sec1__comment::after {
		rotate: 180deg;
		mask-image: url(../images/common/icon_minus.svg);
	}
}
.p-teachers-sec1__item.isActive .p-teachers-sec1__comment::after {
	rotate: 180deg;
	mask-image: url(../images/common/icon_minus.svg);
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__comment {
		cursor: pointer;
		padding-top: 0;
	}
}

.p-teachers-sec1__box {
	z-index: 1;
	opacity: 0;
	width: 100%;
	height: 100%;
	display: flex;
	justify-content: center;
	align-items: center;
	border-radius: 3.2rem 3.2rem 0 0;
	position: absolute;
	bottom: 0;
	left: 0;
	opacity: 0;
	transition: 0.3s;
}
.p-teachers-sec1__box::before {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
	background-color: transparent;
	position: absolute;
	top: 0;
	left: 0;
	z-index: 2;
}
.p-teachers-sec1__box::after {
	content: "";
	display: block;
	width: 100%;
	height: 100%;
	background-color: var(--color-yellowgreen);
	position: absolute;
	bottom: 0;
	left: 0;
	z-index: 1;
	transition: 0.3s;
	cursor: pointer;
}
.p-teachers-sec1__item:focus-visible .p-teachers-sec1__box {
	opacity: 1;
}
@media (any-hover: hover) {
	.p-teachers-sec1__item:hover .p-teachers-sec1__box {
		opacity: 1;
	}
}
.p-teachers-sec1__item.isActive .p-teachers-sec1__box {
	opacity: 1;
}
.p-teachers-sec1__item:focus-visible .p-teachers-sec1__box::after {
	opacity: 0.9;
}
@media (any-hover: hover) {
	.p-teachers-sec1__item:hover .p-teachers-sec1__box::after {
		opacity: 0.9;
	}
}
.p-teachers-sec1__item.isActive .p-teachers-sec1__box::after {
	opacity: 0.9;
}

.p-teachers-sec1__box--txt {
	display: block;
	width: 82.3%;
	font-size: 1.6rem;
	font-weight: 500;
	line-height: 1.6;
	position: relative;
	z-index: 2;
	transition: 0.3s;
}
.p-teachers-sec1__item:focus-visible .p-teachers-sec1__box--txt {
	transform: translateY(-10%);
}
@media (any-hover: hover) {
	.p-teachers-sec1__item:hover .p-teachers-sec1__box--txt {
		transform: translateY(-10%);
	}
}
.p-teachers-sec1__item.isActive .p-teachers-sec1__box--txt {
	transform: translateY(-10%);
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__box--txt {
		font-size: calc(12 * var(--width-ratio));
	}
}

.p-teachers-sec1__box--txt::before,
.p-teachers-sec1__box--txt::after {
	content: "";
	display: block;
	width: 2.83rem;
	height: 2rem;
	background-image: url(../images/common/deco_note.png);
	background-size: contain;
	background-repeat: no-repeat;
	background-position: center;
	position: absolute;
	transition: 0.3s;
}
.p-teachers-sec1__box--txt::before {
	top: -0.8rem;
	left: 0;
	transform: translate(-50%, -100%);
}
.p-teachers-sec1__box--txt::after {
	bottom: 0;
	right: 0;
	transform: translate(50%, 100%) rotate(180deg);
}

.p-teachers-sec1__content > * + * {
	margin-top: 2.5rem;
}

.p-teachers-sec1__content--head {
	font-weight: 500;
	font-size: 2.4rem;
	margin-top: 1rem;
	line-height: 1.75;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__content--head {
		font-size: calc(18 * var(--width-ratio));
		line-height: 1.8;
	}
}

.p-teachers-sec1__content--body {
	margin-top: 0.9rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__content--body {
		margin-top: calc(12 * var(--width-ratio));
	}
}

.p-teachers-sec1__case {
	margin-top: 2rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__case {
		margin-top: 1.1rem;
	}
}

.p-teachers-sec1__case > * + * {
	margin-top: 1rem;
}

.p-teachers-sec1__case--item {
	--borderHeight: 1px;
	--dotSize: 3px;
	--spaceSize: 2px;
	--dotColor: #d3df8f;
	position: relative;
	font-weight: 500;
	line-height: 1.6;
	font-size: 1.6rem;
	padding-bottom: 1rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__case--item {
		font-size: calc(15 * var(--width-ratio));
	}
}

.p-teachers-sec1__case--item::after {
	content: "";
	position: absolute;
	bottom: 0;
	left: 0;
	width: 100%;
	height: var(--borderHeight);
	background-image: linear-gradient(to right, var(--dotColor) var(--dotSize), transparent var(--dotSize), transparent var(--spaceSize));
	background-repeat: repeat-x;
	background-position: left bottom;
	background-size: calc(var(--dotSize) + var(--spaceSize)) var(--borderHeight);
}

.p-teachers-sec1__banner {
	--imgSize: 235px;
	display: grid;
	grid-template-columns: var(--imgSize) 1fr;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__banner {
		--imgSize: calc(144 * var(--width-ratio));
		margin-top: 2.4rem;
	}
}

.p-teachers-sec1__banner--A {
	--bgColor: #428c67;
	--headTxtColor: #d3df8f;
	--bodyTxtColor: #fff;
	--iconArrowColor: #2b2b2b;
}

.p-teachers-sec1__banner--B {
	--bgColor: #d3df8f;
	--headTxtColor: #428c67;
	--bodyTxtColor: #2b2b2b;
	--iconArrowColor: #2b2b2b;
}

.p-teachers-sec1__banner--img {
	height: 100%;
}

.p-teachers-sec1__banner--img img {
	height: 100%;
	object-fit: cover;
}

.p-teachers-sec1__banner--content {
	--iconSize: 16px;
	display: grid;
	grid-template-areas:
		"head icon"
		"ttl icon";
	grid-template-columns: 1fr var(--iconSize);
	align-content: center;
	row-gap: 0.4rem;
	column-gap: 0.4rem;
	background-color: var(--bgColor);
	padding: 1rem 1.6rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__banner--content {
		--iconSize: 10px;
		padding: 1rem;
	}
}

.p-teachers-sec1__banner--content::after {
	align-self: center;
	grid-area: icon;
	content: "";
	aspect-ratio: 1;
	mask-position: center center;
	mask-repeat: no-repeat;
	mask-size: contain;
	mask-image: url(../images/common/icon_right.svg);
	background-color: var(--iconArrowColor);
}

.p-teachers-sec1__banner--head {
	grid-area: head;
	color: var(--headTxtColor);
	line-height: 1;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__banner--head {
		font-size: calc(5 * var(--width-ratio));
	}
}

.p-teachers-sec1__banner--ttl {
	grid-area: ttl;
	color: var(--bodyTxtColor);
	line-height: 2;
	font-size: 1.5rem;
}
@media screen and (max-width: 768px) {
	.p-teachers-sec1__banner--ttl {
		font-size: calc(8 * var(--width-ratio));
	}
}
